package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.YCSQ;
import com.sa.ibiz.demo.demo.service.dto.YCSQSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[YCSQ] 服务对象接口
 */
public interface YCSQService extends IService<YCSQ>{

	boolean update(YCSQ et);
	boolean create(YCSQ et);
		YCSQ get(YCSQ et);
	boolean getDraft(YCSQ et);
	boolean checkKey(YCSQ et);
	boolean remove(YCSQ et);
    List<YCSQ> listDefault(YCSQSearchFilter filter) ;
	Page<YCSQ> searchDefault(YCSQSearchFilter filter);
	/**	 实体[YCSQ] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }